Bug 110531 - RPM Export fails
RPM Export fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Developer Suite
Classification: Retired
Component: eclipse (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rick Moseley
eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-20 15:28 EST by Keith Seitz
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-24 15:47:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpmbuild log file from /var/tmp (6.79 KB, text/plain)
2003-11-20 15:29 EST, Keith Seitz
no flags Details

  None (edit)
Description Keith Seitz 2003-11-20 15:28:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2)
Gecko/20030716

Description of problem:
Cannot export source/binary RPM

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create CDT project (I used "pump")
2.Import srpm (I used pump-0.8.19-1.src.rpm from rpmfind.net)
3.Modify dhcp.c -- add comment and save.
4.Try to export as RPM:
  Patch tag: superfluous
  Date Stamp: <default>
  Comment: "- superfluous change"
5. Click Finish.
    

Actual Results:  Error dialog which says:
Open SRPM Errors
  A problem occurred creating the rpmbuild shell script.  
  Please check the file permissions in /var/tmp 


Expected Results:  generate rpms

Additional info:
Comment 1 Keith Seitz 2003-11-20 15:29:46 EST
Created attachment 96093 [details]
rpmbuild log file from /var/tmp
Comment 2 Rick Moseley 2003-11-24 15:47:06 EST
Fixed.  We were doing a "diff -uNr" command between the original
source RPM and the new project that was in Eclipse.  "make" was being
run on the original source RPM and we were assuming "make" had been
run on the project in Eclipse, which was a bad assumption.  We now
make sure "make" has been run on the Eclipse project befire doing the
"diff" command to create the patch.

Note You need to log in before you can comment on or make changes to this bug.